This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 473768 - F10: Window switching in compiz causes flickering
F10: Window switching in compiz causes flickering
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
10
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: intel-gem
  Show dependency treegraph
 
Reported: 2008-11-30 08:27 EST by Pedro Matiello
Modified: 2009-12-04 12:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-04 12:57:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of texture corruption with the ring switcher. (156.13 KB, image/png)
2009-01-03 19:36 EST, Robert Clark
no flags Details
Screenshot of texture corruption with the ring switcher. (102.23 KB, image/png)
2009-01-03 20:01 EST, Robert Clark
no flags Details
Video of flickering on Intel graphic card (6.21 MB, application/octet-stream)
2009-01-04 12:39 EST, Michał Rudowicz
no flags Details

  None (edit)
Description Pedro Matiello 2008-11-30 08:27:48 EST
Description of problem:
Window switching in compiz (using alt-tab or the scale effect) causes a lot of flickering if there are too many windows open (usually five or more). 

Version-Release number of selected component (if applicable):
compiz-0.7.6-17.fc10.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Open five windows (Epiphany, Evolution, Rhythmbox, Gossip and Gnome-Terminal always reproduce the bug here);
2. Alt-tab to switch between them.
  
Actual results:
Flickering.

Expected results:
No flickering.

Additional info:
If Gnome-Terminal is open, the flickering seems to get worse. Maybe because of transparency?

Video: Intel i915

Smolt: http://www.smolts.org/client/show/pub_f1bd23a9-5220-4fbd-becc-b83e07c99cb4
Comment 1 Pedro Matiello 2008-11-30 08:45:57 EST
One more bit of information: It seems that you need at least three maximized windows to hit the bug.
Comment 2 Karsten Wade 2008-12-01 14:48:11 EST
Aside from adding a "me too" (intel i915 video as well), I wanted to note some additional behaviours:

* When switching with alt-tab, sometimes all windows show noise/static during the switch.

* After switching, sometimes all windows except the active window keep the noise/static.

* The behaviour seems to only occur with alt-tab switching; clicking on a different window does not cause the effect.

* Even when the flickering or noise/static do not occur, the redraw on switching windows with alt-tab is very noticeable, esp. compared to just clicking on a different window to refocus.

I've turned compiz off for the time being, but am very happy to do further testing on the problem or test packages with fixes.
Comment 3 Robert Clark 2009-01-03 17:04:11 EST
I'm seeing this on an Acer Aspire One (945GME). Textures seem to be swapped randomly causing the flickering. This only appeared once I worked around an unrelated bug preventing the X server setting up a write-combining MTRR. It may be worth testing disabling this MTRR with:

  echo "disable=7" > /proc/mtrr

Replace 7 with the index of the write-combining range that shows up in "cat /proc/mtrr". It's not a workaround because of the reduced performance, but if we can establish that write-combining is the trigger, it might help pinpoint the cause. I've tested with write-back caching and get no corruption.

While you can't see the flickering in a screenshot, I've got a couple which show the resulting texture corruption with the ring switcher. I've also seen flickering with the scale plugin, glide animation and even just scrolling large web pages in Firefox.
Comment 4 Robert Clark 2009-01-03 19:36:01 EST
Created attachment 328121 [details]
Screenshot of texture corruption with the ring switcher.

This screenshot shows the texture for part of one window being applied to another when using the ring switcher.
Comment 5 Robert Clark 2009-01-03 20:01:28 EST
Created attachment 328122 [details]
Screenshot of texture corruption with the ring switcher.

This screenshot shows the background texture replaced with textures from two windows when using the ring switcher.
Comment 6 Michał Rudowicz 2009-01-04 12:39:26 EST
Created attachment 328144 [details]
Video of flickering on Intel graphic card

I have the same. Everything is visible on a video. Having an Opera window open increases this effect. My hardware (lspci output):
00:02.0 VGA compatible controller: Intel Corporation 82G33/G31 Express Integrated Graphics Controller (rev 10)
Comment 7 Vedran Miletić 2009-11-05 18:11:49 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, including Intel driver, which may have resolved this issue.
To be more precise, Intel has undergone a major rewrite during Fedora 10, 11 and 12 cycles, and whole driver is working a lot better now. Users who have experienced this problem are encouraged to retry with at least Fedora 12 Beta and see if the issue is still relevant.

Please, if you experience this problem on Fedora 12 Beta or up-to-date system running Rawhide, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

We hope to see how many older bugs in Intel driver are still relevant today, in hope that most of them were fixed in rewrite process.

[This is a bulk message for all open Fedora 10 i810-related bugs (39 of them are still open). I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 8 Bug Zapper 2009-11-18 04:04:56 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Vedran Miletić 2009-12-04 12:57:05 EST
Thank you for your bug report.

We are sorry, but the Fedora Project is will soon stop longer releasing bug fixes or any other updates for this version of Fedora. There were so many changes between Fedora 10 and Fedora 12 in Intel driver and X.Org that it's very likely that this bug is fixed. This bug will be set to CLOSED:WONTFIX to reflect this, but please reopen it if the problem persists after upgrading to the latest version of Fedora (version 12), which is available from:

http://fedoraproject.org/get-fedora

Note You need to log in before you can comment on or make changes to this bug.